import React from 'react';
import ReactDOM from 'react-dom';

import { Path } from './Path.js';
const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const radius = 10;
const ArrayX = [];
const number = 300;
const pixel = [];
for (let i = 0; i < number; i++) {
  ArrayX[i] = i;
  pixel[i] = i * 50;
}
console.log(ArrayX);
const App = () => (
  <svg width={width} height={height}>
   <defs>
      <filter id="shadow" x="-40%" y="-40%" height="180%" width="180%">
        <feDropShadow dx="80" dy="80" stdDeviation="150" />
      </filter>
    </defs>
    <g>
      {ArrayX.map(a => (
        <g
          transform={`translate(${10 * a * Math.random()},${20 *
            a *
            Math.random()}),scale(0.5)`}
        >
          <Path
            fill={`rgb(${a * 10},${a * Math.random() * 10},100)`}
            //style={{ fill: 'url("#gradient-Saturn")' }}
          />
        </g>
      ))}
      // Image 1
      
    
  </svg>
);

ReactDOM.render(<App />, document.getElementById('root'));
